%define api		0.14
%define major		0
%define libname		%mklibname gcu %api %major
%define libgchempaint	%mklibname gchempaint %api %major
%define libgcrystal	%mklibname gcrystal %api %major

Summary:	Backend for Gnome chemistry applications
Name:		gnome-chemistry-utils
Version:	0.14.17
Release:	%mkrel 27
License:	LGPLv2+
Group:		Sciences/Chemistry
URL:		https://www.nongnu.org/gchemutils/
Source0:	https://download.savannah.nongnu.org/releases/gchemutils/%api/%{name}-%version.tar.xz
Patch0:		gnome-chemistry-utils-0.14.17-gnm11242.patch
Patch1:		gnome-chemistry-utils-0.14.17-openbabel-v3.patch
BuildRequires:	pkgconfig(bodr) >= 5
BuildRequires:	pkgconfig(cairo) >= 1.6.0
BuildRequires:	pkgconfig(chemical-mime-data) >= 0.1.94
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libgoffice-0.10) >= 0.10.0
BuildRequires:	pkgconfig(libgsf-1) >= 1.14.9
BuildRequires:	pkgconfig(libspreadsheet-1.12) >= 1.11.6
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.16
BuildRequires:	pkgconfig(openbabel-3) >= 3.0
BuildRequires:	pkgconfig(shared-mime-info) >= 0.12
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	mesagl-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.40.6
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	autoconf-archive
Requires:	gchem3d = %{version}
Requires:	gchemcalc = %{version}
Requires:	gchempaint = %{version}
Requires:	gchemtable = %{version}
Requires:	gcrystal = %{version}
Requires:	gspectrum = %{version}

%description
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

%files
%doc README ChangeLog NEWS AUTHORS
%license COPYING

#--------------------------------------------------------------------

%package common
Summary:	Common files shared by different components of %{name}
Group:		Sciences/Chemistry
Conflicts:	%{name} < %{version}
Requires:       chemical-mime-data
Requires:       bodr

%description common
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package contains the common files ahred by different components of
%{name}.

%files common -f gchemutils-%{api}.lang
%_datadir/glib-2.0/schemas/org.gnome.gchemutils.gschema.xml
%{_libexecdir}/babelserver
%dir %_libdir/gchemutils
%dir %_libdir/gchemutils/%{api}
%dir %_libdir/gchemutils/%{api}/plugins
%_libdir/gchemutils/%{api}/plugins/cdx
%_libdir/gchemutils/%{api}/plugins/cdxml
%_libdir/gchemutils/%{api}/plugins/cif
%_libdir/gchemutils/%{api}/plugins/cml
%_libdir/gchemutils/%{api}/plugins/nuts
%dir %_datadir/gchemutils
%dir %_datadir/gchemutils/%{api}
%_datadir/gchemutils/%{api}/*.xml
%dir %_datadir/gchemutils/%{api}/ui
%_datadir/gchemutils/%{api}/ui/libgcu
%_datadir/mime/packages/*.xml

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Main libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package contains the library needed to run programs dynamically
linked with %{name}.

%files -n %{libname}
%_libdir/libgcu-%{api}.so.%{major}*
%_libdir/libgcugtk-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{libgchempaint}
Summary:        Libraries for gchempaint
Group:          System/Libraries

%description -n %{libgchempaint}
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry. They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package contains the library needed to run programs dynamically
linked with gchempaint.

%files -n %{libgchempaint}
%_libdir/libgcp-%{api}.so.%{major}*
%_libdir/libgccv-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{libgcrystal}
Summary:	Libraries for gchempaint
Group:		System/Libraries

%description -n %{libgcrystal}
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry. They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package contains the library needed to run programs dynamically
linked with gcrystal.

%files -n %{libgcrystal}
%_libdir/libgcrystal-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n gchempaint
Summary:        GNOME 2D chemical structure drawing tool
Group:          Sciences/Chemistry
Requires:	%{name}-common = %{version}
Recommends:	%{name}-goffice = %{version}
Conflicts:	%{name}-common < 0.10.1-2

%description -n gchempaint
GChemPaint is a 2D chemical structures editor for the Gnome-2 desktop.
GChemPaint is a multi-document application and will be a bonobo server so
that some chemistry could be embedded in Gnome applications such as
Gnumeric and Abiword.

%files -n gchempaint
%_datadir/glib-2.0/schemas/org.gnome.gchemutils.paint.gschema.xml
%_datadir/glib-2.0/schemas/org.gnome.gchemutils.paint.plugins.arrows.gschema.xml
%_bindir/gchempaint*
%_libdir/gchemutils/%{api}/plugins/paint
%_datadir/applications/gchempaint*.desktop
%_datadir/appdata/gchempaint.appdata.xml
%_datadir/gchemutils/%{api}/paint
%_datadir/gchemutils/%{api}/ui/paint
%_datadir/gchemutils/%{api}/pixmaps/gchempaint_logo.png
%_datadir/gnome/help/gchempaint-%{api}
%_iconsdir/hicolor/*/apps/gchempaint.*
%_iconsdir/hicolor/*/mimetypes/application-x-gchempaint.*
%_mandir/man1/gchempaint*.*
%_datadir/omf/gchempaint-%{api}/gchempaint-%{api}-C.omf

#--------------------------------------------------------------------

%package -n gchem3d
Summary:        Molecules Viewer
Group:          Sciences/Chemistry
Requires:       %name-common = %version
Conflicts:	%name < %version

%description -n gchem3d
GChem3Viewer is a 3D molecular structure viewer.

%files -n gchem3d
%_bindir/gchem3d*
%_datadir/applications/gchem3d*.desktop
%_datadir/appdata/gchem3d.appdata.xml
%_datadir/gnome/help/gchem3d-%{api}
%_iconsdir/hicolor/*/apps/gchem3d.*
%_mandir/man1/gchem3d*.*
%_datadir/omf/gchem3d-%{api}/gchem3d-%{api}-C.omf

#--------------------------------------------------------------------

%package -n gchemcalc
Summary:        Chemical calculator
Group:          Sciences/Chemistry
Requires:       %{name}-common = %{version}
Conflicts:	%{name} < %{version}

%description -n gchemcalc
GChemCalc is a Chemical calculator.

%files -n gchemcalc
%_bindir/gchemcalc*
%_datadir/applications/gchemcalc*.desktop
%_datadir/appdata/gchemcalc.appdata.xml
%_datadir/gchemutils/%{api}/ui/calc
%_datadir/gnome/help/gchemcalc-%{api}
%_iconsdir/hicolor/*/apps/gchemcalc.*
%_mandir/man1/gchemcalc*.*
%_datadir/omf/gchemcalc-%{api}/gchemcalc-%{api}-C.omf

#--------------------------------------------------------------------

%package -n gchemtable
Summary:        Periodic table
Group:          Sciences/Chemistry
Requires:       %{name}-common = %{version}
Conflicts:	%{name} < %{version}

%description -n gchemtable
GChemTable is a periodic table of the elements application.

%files -n gchemtable
%_bindir/gchemtable*
%_datadir/applications/gchemtable*.desktop
%_datadir/appdata/gchemtable.appdata.xml
%_datadir/gnome/help/gchemtable-%{api}
%_datadir/gchemutils/%{api}/ui/table
%_iconsdir/hicolor/*/apps/gchemtable.*
%_mandir/man1/gchemtable*.*
%_datadir/omf/gchemtable-%{api}/gchemtable-%{api}-C.omf

#--------------------------------------------------------------------

%package -n gcrystal
Summary:        Crystal structure viewer
Group:          Sciences/Chemistry
Requires:       %{name}-common = %{version}
Conflicts:	%{name} < %{version}

%description -n gcrystal
GCrystal is a Crystal structure viewer.

%files -n gcrystal
%_datadir/glib-2.0/schemas/org.gnome.gchemutils.crystal.gschema.xml
%_bindir/gcrystal*
%_datadir/gchemutils/%{api}/ui/crystal
%_datadir/gchemutils/%{api}/pixmaps/gcrystal_logo.png
%_datadir/applications/gcrystal*.desktop
%_datadir/appdata/gcrystal.appdata.xml
%_datadir/gnome/help/gcrystal-%{api}
%_iconsdir/hicolor/*/apps/gcrystal.*
%_iconsdir/hicolor/*/mimetypes/application-x-gcrystal.*
%_mandir/man1/gcrystal*.*
%_datadir/omf/gcrystal-%{api}/gcrystal-%{api}-C.omf

#--------------------------------------------------------------------

%package -n gspectrum
Summary:        Spectrum viewer
Group:          Sciences/Chemistry
Requires:       %{name}-common = %{version}
Conflicts:	%{name} < %{version}

%description -n gspectrum
GSpectrum is a Spectrum viewer.

%files -n gspectrum
%_bindir/gspectrum*
%_datadir/applications/gspectrum*.desktop
%_datadir/appdata/gspectrum.appdata.xml
%_datadir/gnome/help/gspectrum-%{api}
%_iconsdir/hicolor/*/apps/gspectrum.*
%_mandir/man1/gspectrum*.*
%_datadir/omf/gspectrum-%{api}/gspectrum-%{api}-C.omf

#--------------------------------------------------------------------

%package goffice
Summary:        GOffice plugin for gchemutils
Group:          Sciences/Chemistry
Requires:       gchempaint = %{version}
Requires:	goffice

%description goffice
GOffice plugin for gchemutils.

%files goffice
%_libdir/goffice/*/plugins/gchemutils

#--------------------------------------------------------------------

%package gnumeric
Summary:	gchemutils plugin for gnumeric
Group:		Sciences/Chemistry
Requires:	gnumeric >= 1.11.0
Requires:	%{name}-common = %{version}

%description gnumeric
gchemutils plugin for gnumeric.

%files gnumeric
%_libdir/gnumeric/*/plugins/gchemutils

#--------------------------------------------------------------------

%package	devel
Summary:	Development related files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libgchempaint} = %{version}-%{release}
Requires:	%{libgcrystal} = %{version}-%{release}
Provides:	gcu-devel = %{version}-%{release}
Provides:	gchemutils-devel = %{version}-%{release}
Provides:	gchempaint-devel = %{version}-%{release}
Provides:	gcrystal-devel = %{version}-%{release}
Obsoletes:	%mklibname -d gcu 0
Obsoletes:	%{_lib}gcu-devel < %version
Obsoletes:	gchempaint-devel < %version

%description	devel
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package includes the header files and static libraries necessary for
developing chemistry related programs using %{name}.

%files devel
%doc docs/reference
%_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%define Werror_cflags %nil
autoreconf -vfi
export CXXFLAGS="%{optflags} -std=c++14 -fpermissive"
%configure \
	--enable-static=no --disable-update-databases \
	--disable-mozilla-plugin --disable-schemas-install \
	--disable-scrollkeeper --without-kde-mime-dir
%make_build

%install
%make_install HTMLDIR=`pwd`/reference/html

#kill intrusive docs
rm -rf %{buildroot}%{_docdir}/gchemutils

%find_lang gchemutils-%{api}


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.14.17-27.mga10
+ Revision: 2250214
- Mageia 10 Mass Rebuild

* Fri Mar 28 2025 daviddavid <daviddavid> 0.14.17-26.mga10
+ Revision: 2170530
- rebuild for gnumeric-1.12.59

* Sun Mar 16 2025 wally <wally> 0.14.17-25.mga10
+ Revision: 2164812
- rebuild for libxml2 2.13.6

* Thu Mar 28 2024 daviddavid <daviddavid> 0.14.17-24.mga10
+ Revision: 2052856
- rebuild for gnumeric-1.12.57

* Mon Dec 18 2023 daviddavid <daviddavid> 0.14.17-23.mga10
+ Revision: 2018694
- rebuild for gnumeric-1.12.56

* Sat Feb 04 2023 daviddavid <daviddavid> 0.14.17-22.mga9
+ Revision: 1938208
- rebuild for gnumeric-1.12.55

* Mon Oct 24 2022 ghibo <ghibo> 0.14.17-21.mga9
+ Revision: 1898996
- Rebuild against newer libspreadsheet

* Fri Jun 24 2022 papoteur <papoteur> 0.14.17-20.mga9
+ Revision: 1865938
- Mass Rebuild for dependencies

* Tue Apr 05 2022 umeabot <umeabot> 0.14.17-19.mga9
+ Revision: 1844181
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 0.14.17-18.mga9
+ Revision: 1782864
- Rebuild for libspreadsheet

* Mon Jan 24 2022 neoclust <neoclust> 0.14.17-17.mga9
+ Revision: 1769604
- Rebuild against new libspreadsheet

* Sun Aug 15 2021 wally <wally> 0.14.17-16.mga9
+ Revision: 1741505
- rebuild for gnumeric 1.12.50

* Mon Apr 26 2021 daviddavid <daviddavid> 0.14.17-15.mga9
+ Revision: 1719883
- switch to openbabel3

* Tue Oct 06 2020 tv <tv> 0.14.17-14.mga8
+ Revision: 1632332
- rebuild for new libspreadsheet

* Thu Jun 18 2020 daviddavid <daviddavid> 0.14.17-13.mga8
+ Revision: 1595875
- rebuild for new gnumeric 1.12.47

* Tue Feb 18 2020 umeabot <umeabot> 0.14.17-12.mga8
+ Revision: 1539057
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 daviddavid <daviddavid> 0.14.17-11.mga8
+ Revision: 1463694
- rebuild for new gnumeric 1.12.46

* Sat Aug 10 2019 tv <tv> 0.14.17-10.mga8
+ Revision: 1428616
- rebuild with latest libspreadsheet

* Sun Dec 02 2018 daviddavid <daviddavid> 0.14.17-9.mga7
+ Revision: 1337499
- rebuild for new gnumeric 1.12.44

* Sun Sep 02 2018 daviddavid <daviddavid> 0.14.17-8.mga7
+ Revision: 1256205
- rebuild for new gnumeric 1.12.43

* Tue Aug 14 2018 daviddavid <daviddavid> 0.14.17-7.mga7
+ Revision: 1251584
- add patch to fix build with gnumeric 1.12.42
- rebuild for gnumeric 1.12.42

* Tue May 15 2018 daviddavid <daviddavid> 0.14.17-5.mga7
+ Revision: 1229672
- rebuild for gnumeric 1.12.41

* Wed Mar 28 2018 daviddavid <daviddavid> 0.14.17-4.mga7
+ Revision: 1213017
- rebuild for gnumeric 1.12.39

* Sun Jan 14 2018 wally <wally> 0.14.17-3.mga7
+ Revision: 1193020
- rebuild for new libspreadsheet

* Wed Nov 22 2017 tv <tv> 0.14.17-2.mga7
+ Revision: 1178665
- rebuild for new lbis

* Wed Sep 13 2017 tv <tv> 0.14.17-1.mga7
+ Revision: 1153430
- new release
- package license
- rebuild for new libspreadsheet

* Tue May 16 2017 neoclust <neoclust> 0.14.10-11.mga6
+ Revision: 1101942
- Rebuild against new libspreadsheet-devel

* Sat Oct 08 2016 daviddavid <daviddavid> 0.14.10-10.mga6
+ Revision: 1059672
- rebuild for gnumeric 1.12.32

* Tue Jun 28 2016 daviddavid <daviddavid> 0.14.10-9.mga6
+ Revision: 1038042
- rebuild for new gnumeric 1.12.30

* Sun May 08 2016 daviddavid <daviddavid> 0.14.10-8.mga6
+ Revision: 1010500
- rebuild for new gnumeric 1.12.29

* Fri Mar 25 2016 daviddavid <daviddavid> 0.14.10-7.mga6
+ Revision: 995437
- rebuild for new gnumeric 1.12.28

* Fri Mar 04 2016 fwang <fwang> 0.14.10-6.mga6
+ Revision: 985425
- rebuild for new gnumeric

* Fri Jan 08 2016 daviddavid <daviddavid> 0.14.10-5.mga6
+ Revision: 920567
- rebuild for new gnumeric 1.12.26

* Mon Dec 28 2015 tv <tv> 0.14.10-4.mga6
+ Revision: 916447
- rebuild for new libspreadsheet

* Sat Oct 17 2015 fwang <fwang> 0.14.10-3.mga6
+ Revision: 892318
- rebuild for new gnumeric

* Sun Aug 02 2015 daviddavid <daviddavid> 0.14.10-2.mga6
+ Revision: 860542
- rebuild for new gnumeric-1.12.23

* Wed Jun 24 2015 fwang <fwang> 0.14.10-1.mga6
+ Revision: 841876
- update file list
- new version 0.14.10

* Fri Feb 06 2015 daviddavid <daviddavid> 0.14.8-6.mga5
+ Revision: 813758
- rebuild for new gnumeric

* Mon Jan 26 2015 daviddavid <daviddavid> 0.14.8-5.mga5
+ Revision: 812418
- rebuild for new gnumeric

* Wed Oct 15 2014 umeabot <umeabot> 0.14.8-4.mga5
+ Revision: 747949
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 fwang <fwang> 0.14.8-3.mga5
+ Revision: 736810
- rebuild for new gnumeric

* Tue Sep 16 2014 umeabot <umeabot> 0.14.8-2.mga5
+ Revision: 679703
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Jun 30 2014 pterjan <pterjan> 0.14.8-1.mga5
+ Revision: 641500
- 0.14.8

* Mon May 26 2014 fwang <fwang> 0.14.7-4.mga5
+ Revision: 626581
- rebuild for new gnumeric

* Tue May 20 2014 fwang <fwang> 0.14.7-3.mga5
+ Revision: 624029
- rebuild for new gnumeric

* Fri Apr 25 2014 fwang <fwang> 0.14.7-2.mga5
+ Revision: 617739
- rebuild for new gnumeric

* Mon Mar 31 2014 dams <dams> 0.14.7-1.mga5
+ Revision: 611007
- new version 0.14.7

* Wed Mar 12 2014 fwang <fwang> 0.14.6-4.mga5
+ Revision: 602600
- rebuild for new gnumeric

* Mon Feb 17 2014 fwang <fwang> 0.14.6-3.mga5
+ Revision: 593138
- rebuild for new gnumeric

* Wed Feb 12 2014 fwang <fwang> 0.14.6-2.mga5
+ Revision: 589607
- rebuild for new gnumeric

* Tue Feb 04 2014 fwang <fwang> 0.14.6-1.mga5
+ Revision: 581726
- new version

* Sat Jan 25 2014 philippem <philippem> 0.14.5-2.mga4
+ Revision: 568154
- Update to 0.14.5 to fix CVE-2013-6836 (mga#12294)

* Wed Dec 04 2013 fwang <fwang> 0.14.3-4.mga4
+ Revision: 554903
- rebuild for new gnumeric

* Mon Oct 21 2013 umeabot <umeabot> 0.14.3-3.mga4
+ Revision: 540924
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 dams <dams> 0.14.3-2.mga4
+ Revision: 494520
- rebuild for new gnumeric

* Sun Sep 15 2013 fwang <fwang> 0.14.3-1.mga4
+ Revision: 479757
- new version 0.14.3

* Mon Sep 02 2013 fwang <fwang> 0.14.2-7.mga4
+ Revision: 474202
- rebuild for new gnumeric

* Wed Aug 28 2013 fwang <fwang> 0.14.2-6.mga4
+ Revision: 472495
- rebuild for new gnumeric

* Tue Aug 20 2013 fwang <fwang> 0.14.2-5.mga4
+ Revision: 468033
- rebuild for new gnumeric

* Mon Jul 15 2013 fwang <fwang> 0.14.2-4.mga4
+ Revision: 454597
- rebuild for new gnumeric

* Wed Jun 26 2013 fwang <fwang> 0.14.2-3.mga4
+ Revision: 446710
- rebuild for new gnumeric

* Fri May 31 2013 fwang <fwang> 0.14.2-2.mga4
+ Revision: 433702
- rebuild for new gnumeric

* Fri Apr 19 2013 fwang <fwang> 0.14.2-1.mga3
+ Revision: 410529
- new version 0.14.2

* Sat Jan 12 2013 umeabot <umeabot> 0.13.99-3.mga3
+ Revision: 352060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 fwang <fwang> 0.13.99-2.mga3
+ Revision: 332757
- rebuild for new goffice

* Sun Dec 09 2012 fwang <fwang> 0.13.99-1.mga3
+ Revision: 329112
- update file list
- new version 0.13.99

* Tue Nov 27 2012 fwang <fwang> 0.13.98-2.mga3
+ Revision: 322280
- rebuild for new gnumeric

* Thu Oct 11 2012 fwang <fwang> 0.13.98-1.mga3
+ Revision: 304563
- new version 0.13.98
- bump gnumeric req

* Fri Sep 07 2012 fwang <fwang> 0.13.92-2.mga3
+ Revision: 289099
- drop unused patch
- rebuild for new gnumeric

* Sat Sep 01 2012 fwang <fwang> 0.13.92-1.mga3
+ Revision: 286831
- revert upstrem change on gnumeric plugin
- new version  0.13.92

* Thu Jul 19 2012 fwang <fwang> 0.13.91-1.mga3
+ Revision: 272498
- new version 0.13.91

* Sun Jul 08 2012 fwang <fwang> 0.13.7-2.mga3
+ Revision: 268819
- rebuild for new gnumeric

* Wed May 30 2012 fwang <fwang> 0.13.7-1.mga3
+ Revision: 251861
- new version 0.13.7

* Sat Mar 03 2012 fwang <fwang> 0.13.5-4.mga2
+ Revision: 217097
- rebuild for new gnumeric

* Sat Dec 10 2011 fwang <fwang> 0.13.5-3.mga2
+ Revision: 180096
- rebuild for new gnumeric

* Sun Nov 27 2011 fwang <fwang> 0.13.5-2.mga2
+ Revision: 172916
- fix req

* Sun Nov 27 2011 fwang <fwang> 0.13.5-1.mga2
+ Revision: 172906
- update file list
- fix install
- update file list
- update file list
- update file list
- update file list
- update libapi
- drop rpath deletion
- fix build with latest glib
- more linkage fix
- fix linkage
- br glu
- br gl
- more br
- update file list
- imported package gnome-chemistry-utils

